hit=constructObject()

function hit:load()
  self.sprite=love.graphics.newImageFont('/img/weapons/hit.png',"1234567")
  self.soundfile='/snd/hit.ogg'
end

function hit:init()
  self.data={}
end

function hit:add(x,y,speed,direction)
  self:playsound()
  table.insert(self.data,{x,y,speed,direction,1})
end

function hit:draw()
  love.graphics.setFont(self.sprite)
  for i=1,#self.data do
    local x,y=self.data[i][1],self.data[i][2]
    local frame=string.format("%d",self.data[i][5])
    love.graphics.print(frame,math.floor(x),math.floor(y))
  end
  love.graphics.setFont(gamefont)
end

function hit:update(dt)
  i=1
  while i<=#self.data do
    self.data[i][2]=self.data[i][2]+((self.data[i][3]*dt)*self.data[i][4])
    self.data[i][5]=self.data[i][5]+(100*dt)
    if self.data[i][2]>love.graphics.getHeight() or self.data[i][5]>7 then
      table.remove(self.data,i) i=i-1
    end
    i=i+1
  end
  self:trimsound()
end