embers=constructObject()

function embers:load()
  self.frame={}
  local flist=love.filesystem.enumerate('/img/explosion/embers/')
  for i,file in ipairs(flist) do self.frame[i]=newPaddedImage('img/explosion/embers/'..file) end
end

function embers:init()
  self.data={}
end

function embers:add(x,y,w,h,speed,dir)
  table.insert(self.data,{math.random(x,x+w)-(self.frame[1].w/2),math.random(y,y+h)-(self.frame[1].h/2),speed,dir,1,1})
end

function embers:draw()
  for i=1,#self.data do
    local x,y=math.floor(self.data[i][1]),math.floor(self.data[i][2])
    local frame=self.frame[self.data[i][5]].image
    love.graphics.draw(frame,x,y)
  end
end

function embers:update(dt)
  i=1
  while i<=#self.data do
    self.data[i][2]=self.data[i][2]+(self.data[i][3]*dt)*self.data[i][4]
    self.data[i][6]=self.data[i][6]+(50*dt)
    if self.data[i][6]>=10 then self.data[i][6]=1 self.data[i][5]=self.data[i][5]+1 end
    if self.data[i][2]>love.graphics.getHeight() or self.data[i][2]<0 or self.data[i][5]>#self.frame then
      table.remove(self.data,i)
      i=i-1
    end
    i=i+1
  end
end