local object={}
object.__index=object

objectlist={}

function loadObjects()
  local flist=love.filesystem.enumerate('/obj/')
  table.sort(flist)
  for i,file in ipairs(flist) do require('/obj/'..file) end
end

function constructObject(x,y,w,h)
  local obj={}
  obj.x,obj.y,obj.w,obj.h=x,y,w,h
  obj.sound={}
  table.insert(objectlist,obj)
  return setmetatable(obj,object)
end

local function newsound(file) return love.audio.newSource(file,'static') end

function object:playsound()
  for i,snd in ipairs(self.sound) do
    if snd:isStopped() then love.audio.play(snd) return end
  end
  table.insert(self.sound,newsound(self.soundfile))
  love.audio.play(self.sound[#self.sound])
end

function object:trimsound()
  if #self.sound>1 then
    for i,snd in ipairs(self.sound) do
      if snd:isStopped() then table.remove(self.sound,i) end
    end
  end
end

function object:load() end
function object:init() end
function object:draw() end
function object:update(dt) end